Create lexicon lookup

02/20/2016 02:41 AM - Luke Murphey

Status: Closed Start date: 02/20/2016

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.0   

Description

Associated revisions

Revision 909 - 12/11/2018 09:01 PM - lukemurphey

Adding rendering of lexicon definitions

Reference #1212

Revision 947 - 12/11/2018 09:01 PM - lukemurphey

Adding rendering of lexicon definitions

Reference #1212

History

#1 - 11/20/2018 05:01 PM - Luke Murphey

See /api/word_parse/

#2 - 12/11/2018 04:49 PM - Luke Murphey

- Status changed from New to In Progress

- Target version set to 3.0

#3 - 12/11/2018 04:51 PM - Luke Murphey

It needs to work like this:

1. Take a word form

2. Find the possible lemmas

3. Get the list of works that are lexicons

4. For each lexicon:

1. For each lemma:

1. Get the definitions; add to list

#4 - 12/11/2018 08:03 PM - Luke Murphey

from reader.models import Lemma, LexiconEntry
lemma = LexiconEntry.objects.all()[0].lemma

entries = LexiconEntry.objects.filter(lemma=lemma)

entries.values('work__id', 'work__title', 'verse__original_content', 'lemma__lexical_form')

#5 - 12/11/2018 08:04 PM - Luke Murphey

- % Done changed from 0 to 30

Need to get convert_xml_to_html5() to convert the entries in a Greek language block from beta-code

#6 - 12/11/2018 08:28 PM - Luke Murphey

- % Done changed from 30 to 50

#7 - 12/11/2018 11:52 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
